package themes

import (
	"lmika.dev/lmika/hugo-cms/models"
	"lmika.dev/lmika/hugo-cms/providers/themes/overlays"
)

var themes = []models.ThemeMeta{
	{
		ID:   "bear",
		Name: "Bear",
		URL:  "https://github.com/janraasch/hugo-bearblog",
		Options: []models.ThemeOption{
			{
				Name:         "homepage_post_limit",
				Label:        "Homepage Post Limit",
				Description:  "Number of links to post on homepage",
				Type:         models.ThemeOptionTypeInt,
				DefaultValue: "30",
			},
		},

		OverlayFS: overlays.HugoBearblogFS,
		Overlays: map[string]string{
			"hugo-bearblog/archetype-posts.md": "archetypes/posts.md",
			"hugo-bearblog/index.html":         "layouts/index.html",
			"hugo-bearblog/partials-nav.html":  "layouts/partials/nav.html",
		},
		PreferTitle:    true,
		BlogPostBundle: "posts",
	},
	{
		ID:             "terminal",
		Name:           "Terminal",
		URL:            "https://github.com/panr/hugo-theme-terminal",
		PreferTitle:    true,
		BlogPostBundle: "posts",
	},
	{
		ID:             "yingyang",
		Name:           "Yingyang",
		URL:            "https://github.com/joway/hugo-theme-yinyang",
		PreferTitle:    true,
		BlogPostBundle: "posts",
	},
}
